Retrieves a specific user by id
curl --request GET \
--url https://api.rootly.com/v1/users/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "users",
"attributes": {
"email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"full_name_with_team": "<string>",
"time_zone": "<string>"
},
"relationships": {
"role": {
"data": {
"id": "<string>",
"type": "roles"
}
},
"on_call_role": {
"data": {
"id": "<string>",
"type": "on_call_roles"
}
}
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
comma separated if needed. eg: email_addresses,phone_numbers
email_addresses, phone_numbers, devices, role, on_call_role, teams, schedules, notification_rules user found with teams, schedules, and notification_rules includes
Show child attributes
Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/users/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "users",
"attributes": {
"email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"full_name_with_team": "<string>",
"time_zone": "<string>"
},
"relationships": {
"role": {
"data": {
"id": "<string>",
"type": "roles"
}
},
"on_call_role": {
"data": {
"id": "<string>",
"type": "on_call_roles"
}
}
}
}
}